import { Component, OnDestroy, OnInit } from '@angular/core';
import { Platform, NavController, ModalController } from '@ionic/angular';
import { AppVersion } from '@ionic-native/app-version/ngx';
import { InAppBrowser } from '@ionic-native/in-app-browser/ngx';
import { PrivacyPage } from '../_shared/components/privacy/privacy';

@Component({
  selector: 'page-about',
  templateUrl: 'about.html',
  styleUrls: ['about.scss']
})
export class AboutPage implements OnInit {
  version = '2.0.0';

  constructor(
    public navCtrl: NavController,
    private modalCtrl: ModalController,
    public appVersion: AppVersion,
    public platform: Platform,
    private iab: InAppBrowser) {
  }

  ngOnInit() {
    if (this.platform.is('cordova')) {
      this.appVersion.getVersionNumber()
        .then((version) => this.version = version);
    }
  }

  openSocial(social: string) {
    switch (social) {
      case 'facebook':
        this.iab.create('https://www.facebook.com/acestennissoftware/');
        break;
      case 'instagram':
        this.iab.create('https://www.instagram.com/aces.tm/');
        break;
      case 'twitter':
        this.iab.create('https://twitter.com/AcesSoftware1');
        break;
      default:
        break;
    }
  }


  async openPrivacy() {
    const modal = await this.modalCtrl.create({
      component: PrivacyPage
    });

    await modal.present();
  }

  openSite() {
    this.iab.create('https://www.aces-tm.com');
  }
}


